Package org.apache.avro.perf.test.basic

# Class FloatTest

java.lang.Object
org.apache.avro.perf.test.basic.FloatTest

Direct Known Subclasses:
  `FloatTest_jmhType_B1`

public class FloatTest extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FloatTest.TestStateDecode`
`static class`
`FloatTest.TestStateEncode`

## Constructor Summary

Constructors
Constructor
Description
`FloatTest()`

## Method Summary

Modifier and Type
Method
Description
`float`
`decode(FloatTest.TestStateDecode state)`
`void`
`encode(FloatTest.TestStateEncode state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FloatTest

public FloatTest()

## Method Details

### encode

public void encode(FloatTest.TestStateEncode state) throws Exception

Throws:
  `Exception`

### decode

public float decode(FloatTest.TestStateDecode state) throws Exception

Throws:
  `Exception`